LTTNG-VIEW(1)

NAME
lttng-view - Launch an LTTng trace reader

SYNOPSIS

lttng [GENERAL OPTIONS] view [--viewer=READER]
      [SESSION | --trace-path=DIR]

DESCRIPTION

The lttng view command launches an external trace reader to read the current traces of:

With the --session=SESSION option
    The recording session named SESSION.

With the --trace-path=DIR option
    The local file system directory DIR.

Otherwise
    The current recording session (see concepts(1) to learn more about the current recording session).

With the --session option or without the --trace-path option, the mode of the selected recording session may NOT be network streaming or live.

By default, the view command attempts to launch babeltrace2(1) or, if it’s not available, babeltrace(1). Override which trace reader to launch with the --viewer option.

See the “EXAMPLES” section below for usage examples.

OPTIONS

See lttng(1) for GENERAL OPTIONS.

-t DIR, --trace-path=DIR
    Pass DIR as the last argument of the trace reader command instead of the output directory of the selected recording session.

-e READER, --viewer=READER
    Use the trace reader READER to read the traces.

    READER is the absolute path to the reader command to use, and it can contain command arguments as well. The view command passes the trace directory path to read to the READER command as its last argument.

    Without this option, the view command uses babeltrace2(1) if it’s available. Otherwise, it tries to use babeltrace(1).

  Program information

-h, --help
    Show help.

    This option attempts to launch /usr/bin/man to view this manual page. Override the manual pager path with the LTTNG_MAN_BIN_PATH environment variable.

--list-options
    List available command options and quit.

EXIT STATUS

0
    Success

1
    Command error

2
    Undefined command

3
    Fatal error

4
    Command warning (something went wrong during the command)

ENVIRONMENT

LTTNG_ABORT_ON_ERROR
    Set to 1 to abort the process after the first error is encountered.

LTTNG_HOME
    Path to the LTTng home directory.

    Defaults to $HOME.

    Useful when the Unix user running the commands has a non-writable home directory.

LTTNG_MAN_BIN_PATH
    Absolute path to the manual pager to use to read the LTTng command-line help (with lttng-help(1) or with the --help option) instead of /usr/bin/man.

LTTNG_SESSION_CONFIG_XSD_PATH
    Path to the directory containing the session.xsd recording session configuration XML schema.

LTTNG_SESSIOND_PATH
    Absolute path to the LTTng session daemon binary (see lttng-sessiond(8)) to spawn from the lttng-create(1) command.

    The --sessiond-path general option overrides this environment variable.

FILES

$LTTNG_HOME/.lttngrc
    Unix user’s LTTng runtime configuration.

    This is where LTTng stores the name of the Unix user’s current recording session between executions of lttng(1). lttng-create(1) and lttng-set-session(1) set the current recording session.

$LTTNG_HOME/lttng-traces
    Default output directory of LTTng traces in local and snapshot modes.

    Override this path with the --output option of the lttng-create(1) command.

$LTTNG_HOME/.lttng
    Unix user’s LTTng runtime and configuration directory.

$LTTNG_HOME/.lttng/sessions
    Default directory containing the Unix user’s saved recording session configurations (see lttng-save(1) and lttng-load(1)).

/usr/local/etc/lttng/sessions
    Directory containing the system-wide saved recording session configurations (see lttng-save(1) and lttng-load(1)).

Note

    $LTTNG_HOME defaults to the value of the HOME environment variable.

EXAMPLES

Example 1. Read the traces of the current recording session with Babeltrace.

        $ lttng view

Example 2. Read the traces of a specific recording session with a custom trace reader.

    See the --viewer option.

        $ lttng view --viewer='/usr/bin/my-reader -zK --details=3' \
                     my-session

RESOURCES

    • LTTng project website <https://lttng.org>

    • LTTng documentation <https://lttng.org/docs>

    • LTTng bug tracker <https://bugs.lttng.org>

    • Git repositories <https://git.lttng.org>

    • GitHub organization <https://github.com/lttng>

    • Continuous integration <https://ci.lttng.org/>

    • Mailing list <https://lists.lttng.org/> for support and development: lttng-dev@lists.lttng.org

    • IRC channel <irc://irc.oftc.net/lttng>: #lttng on irc.oftc.net

COPYRIGHT

This program is part of the LTTng-tools project.

LTTng-tools is distributed under the GNU General Public License version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>. See the LICENSE <https://github.com/lttng/lttng-tools/blob/master/LICENSE> file for details.

THANKS

Special thanks to Michel Dagenais and the DORSAL laboratory <http://www.dorsal.polymtl.ca/> at École Polytechnique de Montréal for the LTTng journey.

Also thanks to the Ericsson teams working on tracing which helped us greatly with detailed bug reports and unusual test cases.

SEE ALSO

babeltrace2(1), lttng(1)